hy(1)

NAME
hy - a Lisp dialect that's embedded in Python

SYNOPSIS
hy [<file.hy>]

DESCRIPTION
Hy (or "Hylang" for long) is a multi-paradigm general-purpose programming language in the Lisp family. It's implemented as a kind of alternative syntax for Python. Compared to Python, Hy offers a variety of extra features, generalizations, and syntactic simplifications, as would be expected of a Lisp. Compared to other Lisps, Hy provides direct access to Python's built-ins and third-party Python libraries, while allowing you to freely mix imperative, functional, and object-oriented styles of programming.

To get a list of allowable arguments to hy, type

    hy --help

and for more documentation consult

    https://hylang.org/

This generic manpage was written by IOhannes m zmoelnig <zmoelnig@iem.at> for the Debian GNU/Linux system (but may be used by others) as a replacement when no real manpage could be generated.